### Method

# Gtk.Application.get_menu_by_id

#### Declaration [src]

    GMenu*
    gtk_application_get_menu_by_id (
      GtkApplication* application,
      const char* id
    )

#### Description [src]

Gets a menu from automatically loaded resources.

See the section on Automatic resources for more information.

#### Parameters

`id` | `const char*`
| the id of the menu to look up
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GMenu*`
Gets the menu with the given id from the automatically loaded resources
Ownership is not transferred to the caller
Can be `NULL`